package logger;

import java.util.*;
import org.apache.axis2.AxisFault;
import org.apache.axis2.context.MessageContext;
import org.apache.axis2.handlers.AbstractHandler;
import org.apache.axis2.description.Parameter;

public class LogHandler extends AbstractHandler {
    public InvocationResponse invoke(MessageContext context)
                                      throws AxisFault {
	    /*
	    ** Parameter aus Deployment-Deskriptor holen
	    */	
	    String pre = "";
	    Parameter p = getParameter("prefix");
	    if (p != null)
		    pre = (String)p.getValue();
    
       	System.out.println("=====================================");
       	System.out.println("Logging " + pre);
       	System.out.println("=====================================");
		System.out.println("");

       	System.out.println("Properties:");
       	System.out.println("-----------");
		System.out.println("");
		Iterator<String> i = context.getPropertyNames();
		while (i.hasNext()) {
			String n = i.next();
			System.out.println("  " + n + ": " + context.getProperty(n));
		}
		System.out.println("");

	    /*
	    ** SOAP-Nachricht ausgeben
		*/
       	System.out.println("SOAP Message:");
       	System.out.println("-------------");
		System.out.println("");
       	System.out.println(context.getEnvelope());
		System.out.println("");

		return InvocationResponse.CONTINUE;
    }
}
